#!/bin/bash

#Enter account name for which the action should be performed. 
#You can check the username by running "dscl . -list /Users" command in the terminal
USER_NAME="username"
#Set the value to true if you want to block desktop folder access, else set as false
SHOULD_BLOCK_DESKTOP="true"
#Set the value to true if you want to block document folder access, else set as false
SHOULD_BLOCK_DOCUMENT="true"
#Set the value to true if you want to block download folder access, else set as false
SHOULD_BLOCK_DOWNLOAD="true"

###### DO NOT EDIT CODE BELOW THIS ##########

## Check if user exists
if id "$USER_NAME" &>/dev/null; then
    echo "User '$USER_NAME' exists."
else
    echo "User '$USER_NAME' does not exist."
    exit 1
fi

DESKTOP_FOLDER="/Users/$USER_NAME/Desktop/"
if [[ "$SHOULD_BLOCK_DESKTOP" = "true" ]]; then
    echo "Should block $USER_NAME's desktop folder access at $DESKTOP_FOLDER"
    chown -R root:wheel "$DESKTOP_FOLDER"
else
    echo "Should unblock $USER_NAME's desktop folder access at $DESKTOP_FOLDER"
    chown -R $USER_NAME:staff "$DESKTOP_FOLDER"
fi

DOCUMENT_FOLDER="/Users/$USER_NAME/Documents/"
if [[ "$SHOULD_BLOCK_DOCUMENT" = "true" ]]; then
    echo "Should block $USER_NAME's document folder access at $DOCUMENT_FOLDER"
    chown -R root:wheel "$DOCUMENT_FOLDER"
else
    echo "Should unblock $USER_NAME's document folder access at $DOCUMENT_FOLDER"
    chown -R $USER_NAME:staff "$DOCUMENT_FOLDER"
fi

DOWNLOAD_FOLDER="/Users/$USER_NAME/Downloads/"
if [[ "$SHOULD_BLOCK_DOWNLOAD" = "true" ]]; then
    echo "Should block $USER_NAME's document folder access at $DOWNLOAD_FOLDER"
    chown -R root:wheel "$DOWNLOAD_FOLDER"
else
    echo "Should unblock $USER_NAME's document folder access at $DOWNLOAD_FOLDER"
    chown -R $USER_NAME:staff "$DOWNLOAD_FOLDER"
fi

killall Finder
